Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class ColourPanel

[frames | no frames]

## Type ColourPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                       PyPanel --+
                                 |
                                ColourPanel

Simple custom class used to display "old" and "new" colour panels, with alpha blending capabilities.

Method Summary
| ``__init__`(self, parent, style)` Default class constructor.
| ``AcceptFocus`(self)` We do not accept mouse focus.
| ``AcceptsFocusFromKeyboard`(self)` We do not accept focus from keyboard.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for `ColourPanel`.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for `ColourPanel`.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for `ColourPanel`.
| ``RefreshColour`(self, colour)` Refresh the panel after a colour/alpha change.

Property Summary

Instance Method Details

### __init__(self, parent, style=33554432)
(Constructor)

Default class constructor. Used internally. Do not call it in your code!

  Overrides:
    `wx.PyPanel.__init__`

### AcceptFocus(self)

We do not accept mouse focus.

### AcceptsFocusFromKeyboard(self)

We do not accept focus from keyboard.

  Overrides:
    `wx.Window.AcceptsFocusFromKeyboard`

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for `ColourPanel`.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for `ColourPanel`.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for `ColourPanel`.

### RefreshColour(self, colour)

Refresh the panel after a colour/alpha change.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:19 2009 | http://epydoc.sf.net